logs.Register("Kriege", false, Color(50, 50, 50))

logs.AddHook("r_count", function(t1, t2, ply)
	if !IsValid(ply) then return end
	logs.Log("Kriege", "Eine Rebellion wurde von "..ply:NameID().." ausgerufen", {
		["Name"] = ply:Name(),
		["SteamID"] = ply:SteamID()
	})
end)

logs.AddHook("r_start", function()
	logs.Log("Kriege", "Die Rebellion hat begonnen")
end)

logs.AddHook("r_end", function(t1, t2, surrender, text)
	logs.Log("Kriege", "Die Rebellion wurde beendet ("..text..")")
end)

logs.AddHook("g_count", function(t1, t2, ply)
	if !IsValid(ply) then return end
	logs.Log("Kriege", "Ein Bandenkrieg zwischen "..team.GetName(t1).." und "..team.GetName(t2).." wurde von "..ply:NameID().." angekündigt", {
		["Name"] = ply:Name(),
		["SteamID"] = ply:SteamID()
	})
end)

logs.AddHook("g_start", function(t1, t2)
	logs.Log("Kriege", "Der Bandenkrieg zwischen "..team.GetName(t1).." und "..team.GetName(t2).." hat begonnen")
end)

logs.AddHook("g_end", function(t1, t2, surrender, text)
	logs.Log("Kriege", "Der Bandenkrieg zwischen "..team.GetName(t1).." und "..team.GetName(t2).." wurde beendet ("..text..")")
end)